\documentclass[12pt,letterpaper]{article}
\usepackage{fullpage}
\usepackage[top=2cm, bottom=4.5cm, left=2.5cm, right=2.5cm]{geometry}
\usepackage{amsmath,amsthm,amsfonts,amssymb,amscd}
\usepackage{lastpage}
\usepackage{enumerate}
\usepackage{fancyhdr}
\usepackage{mathrsfs}
\usepackage{xcolor}
\usepackage{graphicx}
\usepackage{listings}
\usepackage{hyperref}

\hypersetup{%
  colorlinks=true,
  linkcolor=blue,
  linkbordercolor={0 0 1}
}
 
\renewcommand\lstlistingname{Algorithm}
\renewcommand\lstlistlistingname{Algorithms}
\def\lstlistingautorefname{Alg.}

\lstdefinestyle{Python}{
    language        = Python,
    frame           = lines, 
    basicstyle      = \footnotesize,
    keywordstyle    = \color{blue},
    stringstyle     = \color{green},
    commentstyle    = \color{red}\ttfamily
}

\setlength{\parindent}{0.0in}
\setlength{\parskip}{0.05in}

% Edit these as appropriate
\newcommand\course{MTRX1701}
\newcommand\hwnumber{6}                  % <-- homework number
\newcommand\NetIDa{Jacob Mackay}           % <-- NetID of person #1
\newcommand\NetIDb{j.mackay@acfr.usyd.edu.au}           % <-- NetID of person #2 (Comment this line out for problem sets)

\pagestyle{fancyplain}
\headheight 35pt
\lhead{\NetIDa}
\lhead{\NetIDa\\\NetIDb}                 % <-- Comment this line out for problem sets (make sure you are person #1)
\chead{\textbf{\Large Tutorial \hwnumber}}
\rhead{\course \\ \today}
\lfoot{}
\cfoot{}
\rfoot{\small\thepage}
\headsep 1.5em

\begin{document}

\part*{Datasheets \& Component Selection}

Once an initial system design has been formulated, you need to select the hardware that can make your design a reality. How you select this is based on your system requirements, and hardware availability. This week we will focus on extracting useful information from manufacturers datasheets in order to aid our decision making.

\section*{Problem 1}

Look at the data sheet titled ‘sn74ls32.pdf’

\begin{itemize}

\item What device is described in this data sheet? 

\item What is the difference between a Positive and a Negative OR Logic Gate?

\item Who is the manufacturer? 

\item Find 4 different packaging types for this chip?

\item What package type would you order if you needed one of these chips for a breadboard based prototype? 

\item How many variants are represented in this datasheet? 
\item How many logic devices in each chip? 

\item If my two inputs to one component in a 74LS32 chip are:
 \subitem i. 1A = 0.2V, 1B = 2.5V; what is 1Y (output voltage)?
	\subitem ii. 1A = 1V, 1B = 1V; what is 1Y (output voltage)?
\item Two max Vcc values are given; why are there two max Vcc values? 
\item What is over-voltage input and can this device handle it? 

\end{itemize}

\section*{Problem 2}
You are automating a kayak rudder which can be turned with $0.8~\mathrm{N}$ of force with the existing $1~\mathrm{m}$ handle under relatively calm water conditions. Considering the servo motor options given in the data sheet 'servo-360\_e' which of these motors are capable of doing the job? At what voltage? What is the factor of safety for each of these?


\section*{Assignments}
Work on Assignment 2. You should now be able to do part 1. You should have solidified your requirements capture and have an initial design and block diagram.
   
\end{document}
